Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79762 - raidstop not accepting options "--all" and "-v"
Summary: raidstop not accepting options "--all" and "-v"
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: raidtools
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-16 18:53 UTC by David Balažic
Modified: 2015-01-04 22:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-11-27 23:17:57 UTC


Attachments (Terms of Use)

Description David Balažic 2002-12-16 18:53:03 UTC
Description of problem:

raidstop does not accept the options "--all" and "-v"

Version-Release number of selected component (if applicable):

raidtools-1.00.2-3.3 ( same with raidtools-1.00.3-1 too )

How reproducible:

## --all not accepted :
[root@localhost root]# raidstop --all
usage: raidstop [--all] [--configfile] [--help] [--version] [-achv] </dev/md?>*

## -v not accepted, but then it says that is is a valid option :
[root@localhost root]# raidstop -v
-v: unknown option
usage: raidstop [--all] [--configfile] [--help] [--version] [-achv] </dev/md?>*


Steps to Reproduce:
1. create a /etc/raidtab file with some dummy radi device
2. start the raid devices
3. run raidstop with "-all" or "-v"
    
Actual results:
 - "raidstop -v" says that the "-v" option is unknown
 - "raidstop --all" just prints the usage; does not sop the raid device


Note You need to log in before you can comment on or make changes to this bug.